Bug 443086 - Coredumped Xorg with 3D Desktop
Coredumped Xorg with 3D Desktop
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-18 11:44 EDT by Zdenek Kabelac
Modified: 2009-07-14 13:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg configuration (2.16 KB, text/plain)
2008-04-19 06:56 EDT, Zdenek Kabelac
no flags Details
Xorg log file (24.73 KB, text/plain)
2008-04-19 06:58 EDT, Zdenek Kabelac
no flags Details

  None (edit)
Description Zdenek Kabelac 2008-04-18 11:44:43 EDT
Description of problem:

Got a crazy idea to enable 3D Desktop for a moment.
Well crashed after several minutes while moving single window.

Version-Release number of selected component (if applicable):
kernel 2.6.25

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

Program terminated with signal 6, Aborted.
[New process 2760]
#0  0x0000003a6cc32215 in raise (sig=<value optimized out>) at
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install audit.x86_64 dbus.x86_64
expat.x86_64 freetype.x86_64 libXau.x86_64 libXdmcp.x86_64 libXfont.x86_64
libcap.x86_64 libdrm.x86_64 libfontenc.x86_64 libpciaccess.x86_64
libselinux.x86_64 openssl.x86_64 pixman.x86_64 xorg-x11-drv-keyboard.x86_64
xorg-x11-drv-mouse.x86_64 zlib.x86_64
(gdb) bt
#0  0x0000003a6cc32215 in raise (sig=<value optimized out>) at
#1  0x0000003a6cc33d83 in abort () at abort.c:88
#2  0x0000003a6cc2b039 in __assert_fail (assertion=<value optimized out>,
file=<value optimized out>, 
    line=<value optimized out>, function=<value optimized out>) at assert.c:78
#3  0x00007fe8d19d85c8 in evict_and_alloc_block (bo=0x20f0090) at
#4  0x00007fe8d19d8733 in dri_fake_reloc_and_validate_buffer (bo=0x20f0090) at
#5  0x00007fe8d19d8658 in dri_fake_reloc_and_validate_buffer (bo=0x253e210) at
#6  0x00007fe8d19d8658 in dri_fake_reloc_and_validate_buffer (bo=0x227cac0) at
#7  0x00007fe8d19d8658 in dri_fake_reloc_and_validate_buffer (bo=0x24b9cb0) at
#8  0x00007fe8d19d88ce in dri_fake_process_relocs (batch_buf=0x24b9cb0,
    at ../common/dri_bufmgr_fake.c:1049
#9  0x00007fe8d19d8f29 in _intel_batchbuffer_flush (batch=0x1684560, file=<value
optimized out>, 
    line=<value optimized out>) at intel_batchbuffer.c:134
#10 0x00007fe8d19dd778 in intelFinish (ctx=0xac8) at intel_context.c:372
#11 0x00007fe8e39611a4 in ?? ()
#12 0x0000000000000000 in ?? ()
Comment 1 Matěj Cepl 2008-04-19 04:30:00 EDT
Zdeňku, could we get /etc/X11/xorg.conf and /var/log/Xorg.*.log attached to this
bug, please?
Comment 2 Zdenek Kabelac 2008-04-19 06:56:38 EDT
Created attachment 302993 [details]
Xorg configuration
Comment 3 Zdenek Kabelac 2008-04-19 06:58:16 EDT
Created attachment 302994 [details]
Xorg log file
Comment 4 Bug Zapper 2008-05-14 05:39:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Bug Zapper 2009-06-09 20:15:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 13:36:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.